# Uses of Class
org.jboss.modules.security.FactoryPermissionCollection

Packages that use FactoryPermissionCollection
Package
Description
org.jboss.modules.xml

## Uses of FactoryPermissionCollection in org.jboss.modules.xml

Methods in org.jboss.modules.xml that return FactoryPermissionCollection
Modifier and Type
Method
Description
`static FactoryPermissionCollection`
PermissionsXmlParser.`parsePermissionsXml(InputStream inputStream, ModuleLoader moduleLoader, String moduleName)`
Parse the `permissions.xml` stream content.
`static FactoryPermissionCollection`
PermissionsXmlParser.`parsePermissionsXml(XmlPullParser reader, ModuleLoader moduleLoader, String moduleName)`
Parse the `permissions.xml` content.